/* Copyright (C) W.H.Scholten 1998
 */

#include <stdio.h>
#include <sys/types.h> /* mkdir etc */
#include <fcntl.h>
#include <unistd.h>
#include <ggi/libggi.h>

#include "dtypes.h"
#include "macsys.h"
#include "error.h"


static ubyte initialized = 0;

ubyte have_virtual_memory;
ubyte use_sounds = 1;       //0=no?, 1=yes, 2=more?
ubyte use_alt_textures = 0; //0=no, 1=yes (using less memory, see piggy.c)



void mac_close()
{
//	show_cursor();

//	ggiFlush(visual); /* must make sure the lib has been initialised */
}


//System specific initialisation
int mac_init(int hide_back, int hide_menu)
{
	if (initialized)
		return 0;

	//WHS: plenty of memory ..
	use_sounds = 2;
	use_alt_textures = 0;

    //WHS: only used in appletalk and joyc:
	have_virtual_memory = 0;

	//  check for the existence of required directories:  Players/ and Demos/
	//  create them if they don't exist
	if (chdir("Players")) {
		mkdir("Players", 0777);
	} else
		chdir("..");

	if (chdir("Demos")) {
		mkdir("Demos", 0777);
	} else
		chdir("..");

	atexit(mac_close);

	return 0;
}

//Quit the game
//called in game.c/newmenu.c/titles.c
void do_appl_quit()
{
	exit(0);
}
